Bug 82494 - OpenVPN --enable-password-save support
OpenVPN --enable-password-save support
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 20:40 UTC by landonf
Modified: 2005-07-14 14:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description landonf 2005-06-21 20:40:17 UTC
As of OpenVPN 2.0-beta20, --auth-user-pass and --askpass password saving support was disabled by default in OpenVPN. This is a bummer for those that actually need this functionality.

Fix: 

To re-enable support, --enable-password-save can be passed to ./configure.
How-To-Repeat: Try to use --auth-user-pass for authentication.
Comment 1 Renato Botelho freebsd_committer 2005-07-13 15:48:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll handle this
Comment 2 Renato Botelho freebsd_committer 2005-07-13 16:17:03 UTC
Dear maintainer of security/openvpn FreeBSD Port, please take a look:

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/82494

Do you approve the following patch to fix this problem?

--- openvpn.diff begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/security/openvpn/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- Makefile	31 May 2005 19:58:32 -0000	1.13
+++ Makefile	13 Jul 2005 15:15:04 -0000
@@ -20,7 +20,8 @@
 USE_OPENSSL=	yes
 CONFIGURE_TARGET=	--build=${ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_ARGS=	--with-lzo-lib=${LOCALBASE}/lib \
-		--with-lzo-headers=${LOCALBASE}/include
+		--with-lzo-headers=${LOCALBASE}/include \
+		--enable-password-save
 
 MAN8=		openvpn.8
 
--- openvpn.diff ends here ---

Thanks
-- 
Renato Botelho <garga at FreeBSD dot org>
ICQ: 54596223
GnuPG Key: http://www.galle.com.br/~renato/pubkey.asc

Let He who taketh the Plunge Remember to return it by Tuesday.
Comment 3 Renato Botelho freebsd_committer 2005-07-13 16:21:34 UTC
State Changed
From-To: open->feedback

Ask maintainer for approval
Comment 4 matthias.andree 2005-07-14 09:01:15 UTC
I'd prefer if this were a build-time option that defaulted to off, to
follow the upstream. There must be a reason why James Yonan decided to
disable this by default.

-- 
Matthias Andree
Comment 5 matthias.andree 2005-07-14 10:00:34 UTC
How about this instead?

--- a/ports/security/openvpn/Makefile	Wed Jun  8 22:35:16 2005
+++ b/ports/security/openvpn/Makefile	Thu Jul 14 10:48:21 2005
@@ -7,7 +7,7 @@
 
 PORTNAME=	openvpn
 DISTVERSION=	2.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	security
 MASTER_SITES=	http://openvpn.net/release/
 
@@ -24,6 +24,8 @@
 
 MAN8=		openvpn.8
 
+OPTIONS=	PW_SAVE "Interactive passwords may be read from a file" off
+
 # self-tests here
 post-build:
 	( set -e ; cd ${WRKSRC} && \
@@ -49,4 +51,8 @@
 	| ${CPIO} -pdmu ${DOCSDIR} )
 .endif
 
-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+.ifdef WITH_PW_SAVE
+CONFIGURE_ARGS+=	--enable-password-save
+.endif
+.include <bsd.port.post.mk>
Comment 6 Renato Botelho freebsd_committer 2005-07-14 14:16:10 UTC
State Changed
From-To: feedback->closed

Commited, thanks!